#This Source Code Form is subject to the terms of the Mozilla Public
#License, v. 2.0. If a copy of the MPL was not distributed with this
#file, You can obtain one at http://mozilla.org/MPL/2.0/. */
#Created by Fabrice Fernandez on 26/01/2018.


#####################################################################
#																	#
#				 		   IMPORT NATRON MODULES			 	    #
#																	#
#####################################################################

import os
import sys
from NatronEngine import *
from NatronGui import *
from PySide.QtGui import *


#####################################################################
#																	#
#						IMPORT USER PYTHON TOOLS				    #
#																	#
#####################################################################

from Python_GUI.nodeBold_HTML import *
from Python_GUI.nodeItalic_HTML import *
from Python_GUI.nodeColorChange import *
from Python_GUI.nodeChangeFPS import *
from Python_GUI.nodeChangeFrameRange import *
from Python_GUI.autoAlpha import *


#####################################################################
#																	#
#							USER MENUS CREATION				        #
#																	#
#####################################################################


NatronGui.natron.addMenuCommand('Tools/Channel/Auto Alpha','autoAlpha')

NatronGui.natron.addMenuCommand('Tools/Node Graph/Change Node Color','nodeColorChange')
NatronGui.natron.addMenuCommand('Tools/Node Graph/Bold Nodes <HTML>','nodeBold_HTML')
NatronGui.natron.addMenuCommand('Tools/Node Graph/Italic Nodes <HTML>','nodeItalic_HTML')

NatronGui.natron.addMenuCommand('Tools/Time/Change node FPS','nodeChangeFPS()')
NatronGui.natron.addMenuCommand('Tools/Time/Change node Frame Range','nodeChangeFrameRange()')


separator = ('------------------------------------------------------------')
print '\n' + '\n' + separator
print separator
print '-------------------     INITGUI.PY     ---------------------'
print separator
print separator
print '\n'

print '- \'Tools\' user menu added'
print '\n' + '\n' + separator
print separator + '\n'#>>>PrismStart
if not NatronEngine.natron.isBackground():
	import sys, os, platform

	if platform.system() == "Windows":
		prismRoot = os.path.join(os.getenv('LocalAppdata'), "Prism")
	elif platform.system() == "Linux":
		prismRoot = "/usr/local/Prism"

	Dir = os.path.join(prismRoot, "Scripts")
	if Dir not in sys.path:
		sys.path.append(Dir)

	import PrismCore
	pcore = PrismCore.PrismCore(app="Natron")

def writePrismParamChanged(thisParam, thisNode, thisGroup, app, userEdited):
	pcore.plugin.wpParamChanged(thisParam, thisNode, thisGroup, app, userEdited)
#<<<PrismEnd

